# runSelectedOptionAsLine

Field in [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

If this value is set, when an option is selected, the line contained in it ( [Line](/api/csharp/yarn/yarn.optionset/yarn.optionset.option/yarn.optionset.option.line.md) ) will be delivered to the dialogue runner's dialogue presenters as though it had been written as a separate line.

```csharp
public bool runSelectedOptionAsLine = false;
```

## Remarks

This allows a Yarn script to


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.runselectedoptionasline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
